oct-pin(1)

NAME
oct-pin - PIN management (change PINs, reset blocked PINs)

SYNOPSIS
oct pin <-c|--card> [-h|--help] <subcommands>

DESCRIPTION
PIN management (change PINs, reset blocked PINs)

OpenPGP cards use PINs (numerical passwords) to verify that a user is allowed to perform an operation. There are two PINs for regular operation, User PIN and Admin PIN, and one optional Resetting Code.

The User PIN is required to use cryptographic operations on a card (such as decryption or signing). The Admin PIN is needed to configure a card (for example to import an OpenPGP key into the card) or to unblock the User PIN. The Resetting Code only allows unblocking the User PIN. This is useful if the user doesn't have access to the Admin PIN.

By default, on unconfigured (or factory reset) cards, the User PIN is typically set to 123456, and the Admin PIN is set to 12345678.

OPTIONS

-c, --card=card ident
    Identifier of the card to use

-h, --help
    Print help (see a summary with '-h')

SUBCOMMANDS

oct-pin-set-user(1)
    Set User PIN

oct-pin-set-admin(1)
    Set Admin PIN

oct-pin-reset-user(1)
    Reset User PIN with Admin PIN

oct-pin-reset-user-rc(1)
    Reset User PIN with Resetting Code

oct-pin-set-reset(1)
    Set Resetting Code

oct-pin-help(1)
    Print this message or the help of the given subcommand(s)